Subject: RE: (ngtrans) 6to4 issue: link local

From: Sowmini Varadhan <[email-masked]>
Date: Wed, 3 May 2000 09:19:37 -0400 (EDT)

> From: Richard Draves <[email-masked]>
> 
> > Let me say it another way to see if I have it straight.
> > 
> > We can formally construct a link-local address (exactly as for
> > an IPv6-in-IPv4 tunnel) but because there is no 1:1 peer relationship
> > across a 6to4 exterior routing domain, the other end cannot determine
> > what that link-local address is.
> 
> Better: "given a link-local (v6) address, the other end can not determine
> the appropriate link-layer (v4) address"
> 
> This is really just the same situation that exists for automatic tunneling.
> If you have an automatic tunneling (pseudo)interface, you don't assign it a
> link-local address.

Note, however, draft-ietf-ngtrans-mech-06.txt requires you to do just that:

"3.7.  Link-Local Addresses

   Both the configured and automatic tunnels are IPv6 interfaces (over
   the IPv4 "link layer") thus MUST have link-local addresses.  The
   link-local addresses are used by routing protocols operating over the
   tunnels."

--Sowmini